using MongoDB.Bson.Serialization.Attributes;

namespace LocationsApi.Models;

public class BiomeObjectSpawnRule
{
    [BsonElement("resultType")]
    public string ResultType { get; set; } = "none";

    [BsonElement("itemKey")]
    [BsonIgnoreIfNull]
    public string? ItemKey { get; set; }

    [BsonElement("objectKey")]
    [BsonIgnoreIfNull]
    public string? ObjectKey { get; set; }

    [BsonElement("displayName")]
    [BsonIgnoreIfNull]
    public string? DisplayName { get; set; }

    [BsonElement("remainingQuantity")]
    public int RemainingQuantity { get; set; }

    [BsonElement("gatherQuantity")]
    public int GatherQuantity { get; set; } = 1;

    [BsonElement("weight")]
    public double Weight { get; set; }
}
